%define major 0
%define api 3.0
%define libname %mklibname unique %{api} %{major}
%define gi_name %mklibname unique-gir %{api}
%define develname %mklibname unique3 -d

Name:           libunique3
Version:        3.0.2
Release:        %mkrel 4
Summary:        Single instance support for applications

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        http://download.gnome.org/sources/libunique/3.0/libunique-%{version}.tar.xz

BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.25.0
BuildRequires:  gtk+3-devel >= 2.99.3
BuildRequires:  gtk-doc >= 1.11
BuildRequires:	gobject-introspection-devel
BuildRequires: automake autoconf libtool

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

This version of unique works with GTK+ 3.

#--------------------------------------------------------------------

%package -n %{libname}
Group: System/Libraries
Summary: Library for creating single instance applications
Obsoletes: %{_lib}unique3_0 < 3.0.2

%description -n %{libname}
Unique is a library for creating single instance applications.

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libunique-%{api}.so.%{major}
%{_libdir}/libunique-%{api}.so.%{major}.*

#--------------------------------------------------------------------

%package -n %{gi_name}
Group: System/Libraries
Summary: GObject Introspection interface library for libunique
Requires: %{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libunique.

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Unique-%{api}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary: Libraries and headers for unique3
Group: Development/GNOME and GTK+
Provides: %name-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
Headers and libraries for unique3.

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc
%{_includedir}/unique-3.0/
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_datadir}/gir-1.0/Unique-%{api}.gir

#--------------------------------------------------------------------

%prep
%setup -q -n libunique-%{version}

%build
%configure2_5x --enable-gtk-doc --disable-static --enable-introspection=yes
%make

%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.2-4.mga3
+ Revision: 358293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 malo <malo> 3.0.2-3.mga3
+ Revision: 339506
- fix RPM group

* Sat Jul 09 2011 cjw <cjw> 3.0.2-2.mga2
+ Revision: 121361
- move gobject introspection typelib to a separate subpackage
- rebuild for automatic typelib provides and deps

* Tue Jun 28 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 115046
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-3.mga2
+ Revision: 103117
- Fix provides

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 103112
- Fix requires in the devel package

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103110
- imported package libunique3

